import http from '../http'

export default {
  page: data => http.post('/v1/equip_class/page', data).then(res => res),
  getTree: data => http.put('/v1/equip_class/get_tree', data).then(res => res),
  pageForCatalogue: data =>
    http.post('/v1/equip_class/page-for-catalogue', data).then(res => res),
  getById: id => http.get('/v1/equip_class/' + id).then(res => res),
  edit: data =>
    http.put('/v1/equip_class?id=' + data.id, data.obj).then(res => res),
  add: data => http.post('/v1/equip_class/', data).then(res => res)
}
